# Poco::JWT

# class SignatureException

Library: JWT
Package: JWT
Header: Poco/JWT/JWTException.h

## Inheritance

Direct Base Classes: JWTException

All Base Classes: Poco::Exception, JWTException, std::exception

Known Derived Classes: SignatureVerificationException, SignatureGenerationException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SignatureException

SignatureException(
int code = 0
);

### SignatureException

SignatureException(
const SignatureException & exc
);

### SignatureException

SignatureException(
const std::string & msg,
int code = 0
);

### SignatureException

SignatureException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SignatureException

SignatureException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SignatureException

~SignatureException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::JWT::JWTException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::JWT::JWTException::name()

### operator =

SignatureException & operator = (
const SignatureException & exc
);

### rethrow

void rethrow() const;

See also: Poco::JWT::JWTException::rethrow()